# Archive-Backup

# Archive & Backup service
Parcel handles backup & restore tasks as well!
Unistor Mars will have a Replica of your Live data in Your city. Our users with Fast internet can deliver complete Cloud Backup to your door same day!
- arrives Fully Encrypted